# RockyRpi
Scripts and kickstarts for building Rocky Linux for Raspberry Pi

## Purpose of this Repo
This repository contains kickstart scripts and commands for producing your own Rocky Linux 9 image for the Raspberry Pi.  It's intended mostly for developers or other technical users.  If you are simply interested in using Rocky on your Pi, it's much easier to grab the latest image from (currently): https://dl.rockylinux.org/pub/rocky/9/rockyrpi/aarch64/images/


The readme.image.txt file has information and instructions for those interested in downloading and using the ready-made image.


## Requirements:

Producing the Rpi Image requires:

* Fedora 34 or higher, OR an EL9-based distribution **running on aarch64 hardware** 
* NOTE:  It MUST be EL9, or you will have RPMDB+SELinux issues!  We do not support building this image on EL8 or lower
* Packages
    * git
    * epel-release (if using an EL distro)
    * appliance-tools  (contains the appliance-creator program that makes the image)



## Making an Image
The included script to create the image is quite simple.  Simply run it (with sudo/root), and specify a location you want to write the produced image to.  If the location doesn't exist, it will be created as a directory.

For example:

`sudo ./createRocky9_Image.sh /home/myhomefolder/Rocky9_image/`


The kickstart/image build process takes approximately 10 minutes on a Raspberry Pi 4 with a decently fast internet connection.  Alternatively, you should be able to use any aarch64 hardware that meets the above requirements(Amazon EC2, etc)


## Customizing the Kickstart

All the setup logic for the image is contained within the kickstart file (Rocky9_Rpi.ks).  It is intended to be readable and well documented, and you can of course change it anyway you please to produce custom images yourself.


# Contributing
If you have any suggestions, comments, or problems with the Rocky Rpi images or their creation, feel free to drop us a line!  Come by the **~Sig/AltArch**  channel on chat.rockylinux.org , or send a message or merge request via Gitlab with your ideas.  We'd love to hear from you!



